de.esprit.appsuite.workflow.monitor

## Class ActiveWorkflowsListModel

- java.lang.Object
- - javax.swing.AbstractListModel<E>
  - - javax.swing.DefaultListModel<E>
    - - de.esprit.common.gui.ZListModel<T>
      - - de.esprit.appsuite.gui.activity.ActivityListModel<ApplicationContext,AbstractWorkflow>
        - - de.esprit.appsuite.workflow.monitor.ActiveWorkflowsListModel

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.ListModel<AbstractWorkflow>

      public class ActiveWorkflowsListModel
      extends ActivityListModel<ApplicationContext,AbstractWorkflow>

  This `ActivityListModel` stores the currently running instances of `AbstractWorkflow`.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractListModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveWorkflowsListModel(ApplicationContext ctx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Point` | `checkIsRunning(AbstractWorkflow newWorkflow)` Checks whether the same workflow is running already and throws an exception just in case.
    `IconKey` | `getTypeIcon()`
    `NlsKey` | `getTypeName()`

    - ### Methods inherited from class de.esprit.appsuite.gui.activity.ActivityListModel

      `cancel, cancelAll, getApplicationContext, hasCancellableTasks, isCurrentlyCancellable`

    - ### Methods inherited from class de.esprit.common.gui.ZListModel

      `addItem, addItem, addItems, addItems, clear, fireContentsChanged, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getAllItems, getComparator, getElementAt, getFirstItem, getItem, getItem, getItemCount, getLastItem, getModifyFlag, isModified, isNumb, isSortAscending, load, loadFrom, loadFrom, removeItem, removeItem, replaceItem, replaceOrAddItem, setComparator, setItem, setModified, setModifyFlag, setNumb, setSortAscending`

    - ### Methods inherited from class javax.swing.DefaultListModel

      `add, addElement, capacity, contains, copyInto, elementAt, elements, ensureCapacity, firstElement, get, getSize, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, removeAllElements, removeElement, removeElementAt, removeRange, set, setElementAt, setSize, size, toArray, toString, trimToSize`

    - ### Methods inherited from class javax.swing.AbstractListModel

      `addListDataListener, getListDataListeners, getListeners, removeListDataListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ActiveWorkflowsListModel

          public ActiveWorkflowsListModel(ApplicationContext ctx)

  - ### Method Detail

    - #### getTypeName

          public NlsKey getTypeName()

      Specified by:
        `getTypeName` in class `ActivityListModel<ApplicationContext,AbstractWorkflow>`

    - #### getTypeIcon

          public IconKey getTypeIcon()

      Specified by:
        `getTypeIcon` in class `ActivityListModel<ApplicationContext,AbstractWorkflow>`

    - #### checkIsRunning

          public java.awt.Point checkIsRunning(AbstractWorkflow newWorkflow)
                                        throws java.lang.Exception

      Checks whether the same workflow is running already and throws an exception just in case. If the same workflow just has finished and the `WorkflowMonitorDialog` is still visible then the monitor is just closed and its current location is returned for aligning the new monitor dialog.
      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.